import { html as a } from "lit";
import { property as l } from "lit/decorators.js";
import { PieIconComponent as w } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, m = Object.getOwnPropertyDescriptor, i = (c, e, s, o) => {
  for (var r = o > 1 ? void 0 : o ? m(e, s) : e, n = c.length - 1, p; n >= 0; n--)
    (p = c[n]) && (r = (o ? p(e, s, r) : p(r)) || r);
  return o && r && f(e, s, r), r;
};
let t = class extends w {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--arrowDown", this.class = "c-pieIcon c-pieIcon--arrowDown", this.name = "IconArrowDown";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--arrowDown"><path d="M7.25 1v11.65L3.49 8.89 2.43 10l4.69 4.68a1.239 1.239 0 0 0 1.76 0L13.57 10l-1.06-1.11-3.76 3.76V1h-1.5Z"></path></svg>`;
  }
};
i([
  l({ type: String, reflect: !0 })
], t.prototype, "size", 2);
i([
  l({ type: String, reflect: !0 })
], t.prototype, "class", 2);
t = i([
  h("icon-arrow-down")
], t);
export {
  t as IconArrowDown
};
